
function jointAngle=bringBlackBoxBackOnBelt(jointAngle, joint1,joint2,joint3,joint4,joint5)

% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% % point3 -  Black back taken
jointAngle(2) = smoothMove(jointAngle(2), 10, joint2, 2)
jointAngle(3) = smoothMove(jointAngle(3), 150, joint3, 2)
jointAngle(2) = smoothMove(jointAngle(2), 10, joint2, 2)
jointAngle(5) = smoothMove(jointAngle(5), 160, joint5, 2)
jointAngle(1) = smoothMove(jointAngle(1), 155, joint1, 2)
jointAngle(1) = smoothMove(jointAngle(1), 152, joint1, 2)
jointAngle(1) = smoothMove(jointAngle(1), 160, joint1, 2)
jointAngle(4) = smoothMove(jointAngle(4), 65, joint4, 2)
jointAngle(3) = smoothMove(jointAngle(3), 95, joint3, 2)
jointAngle(2) = smoothMove(jointAngle(2), 50, joint2, 2)
jointAngle(5) = smoothMove(jointAngle(5), 180, joint5, 2)
jointAngle(5) = smoothMove(jointAngle(5), 180, joint5, 2)

% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% % point3 -  Black back moved
jointAngle(2) = smoothMove(jointAngle(2), 0.1, joint2, 2)
jointAngle(3) = smoothMove(jointAngle(3), 140, joint3, 2)
jointAngle(1) = smoothMove(jointAngle(1), 90, joint1, 2)
jointAngle(3) = smoothMove(jointAngle(3), 120, joint3, 2)
jointAngle(4) = smoothMove(jointAngle(4), 45, joint4, 2)
jointAngle(2) = smoothMove(jointAngle(2), 15, joint2, 2)
jointAngle(5) = smoothMove(jointAngle(5), 160, joint5, 2)
jointAngle(2) = smoothMove(jointAngle(2), 0.1, joint2, 2)

jointAngle(11) = 0
end